openQA Project - action #55460

flaky test: t/33-developer_mode.t - not ok 308 - Wait for
(?7:\"set_pause_on_screen_mismatch\":\"assert_screen\") timed out

2019-08-13 15:57 - okurz

Status: Resolved Start date: 2019-08-13
Priority: Normal Due date:

Assignee: okurz % Done: 0%
Category: Concrete Bugs Estimated time: 0.00 hour
Target version: Done

Difficulty:

Description

Observation

See https://travis-ci.org/os-autoinst/openQA/jobs/571252191#1.1404 2/20 test runs:

not ok 308 — Wait for (?7:\"set_pause_on_screen_mismatch\":\"assert_screen\") timed out
# Failed test 'Wait for (?7:\"set_pause_on_screen_mismatch\":\"assert_screen\") timed out'
# at /opt/testing_area/openga/t/lib/OpenQA/Test/FullstackUtils.pm line 160.

Related issues:

Related to openQA Project - action #53603: unstable test "t/33-developer_mode.t" Resolved 2019-07-01
Related to openQA Project - action #53594: travis Cl tests fail on master in ... Resolved 2019-07-01
Related to openQA Project - action #37638: Flaky fullstack test: 'Test 3 is s... Resolved 2018-06-21
Copied from openQA Project - action #55457: flaky test: t/api/11-bugs.t Resolved 2019-08-13
History

#1 - 2019-08-13 15:57 - okurz
- Copied from action #55457: flaky test: t/api/11-bugs.t added

#2 - 2019-08-13 15:57 - okurz
- Related to action #53603: unstable test "t/33-developer_mode.t" added

#3 - 2019-08-13 15:57 - okurz

- Related to action #53594: travis Cl tests fail on master in t/33-developer_mode.t "owned by Demo (2 minutes ago, developer has 3 tabs open)’
doesn't match '(?":owned by Demo.*2 tabs open)" added

#4 - 2019-08-13 16:00 - okurz
- Related to action #37638: Flaky fullstack test: 'Test 3 is scheduled’ at t/full-stack.t added

#5 - 2019-08-21 09:33 - mKittler

According to the log the command set_pause_on_screen_mismatch has been sent and no disconnects happened at this time. Hence this should
have worked. However, the response is really missing. So this is maybe even flaky behavior of the command processing itself and not only a flaky
test.

#6 - 2020-01-24 13:21 - okurz
- Status changed from New to Feedback

- Assignee set to okurz

Checking stability in https://github.com/os-autoinst/openQA/pull/2496

#7 - 2020-01-24 20:13 - okurz
- Status changed from Feedback to Resolved

- Target version set to Done
Fixed: 20 runs in a row stable: https://app.circleci.com/jobs/github/os-autoinst/openQA/12113/parallel-runs/0/steps/0-111
